package com.lightinit.hsdatashow.json.pojo;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by Mr.Yao on 2017/4/7.
 */
public class ErrorEntity {
    private static Map<Integer,String> msg=new HashMap<Integer, String>();
    static {
        msg.put(0000,"未授权的应用");
        msg.put(0001,"数据解析错误");
        msg.put(0002,"授权已过期");
        msg.put(0003,"系统错误");
        msg.put(0004,"JSON序列化错误");
        msg.put(1000,"参数错误");
        msg.put(1001,"操作成功");
        msg.put(1002,"操作失败");
        msg.put(1006,"意见建议反馈成功");
        msg.put(1007,"应用不存在");
        msg.put(1008,"有新版本发布");
        msg.put(1009,"已经是最新版本");
        msg.put(2001,"登录成功");
        msg.put(2002,"IP不是授权范围内");
        msg.put(2003,"未知账户");
        msg.put(2004,"密码不正确");
        msg.put(2005,"账户已锁定");
        msg.put(2006,"用户名或密码错误次数过多");
        msg.put(2007,"用户名或者密码错误");
        msg.put(2008,"用户名已注销");
        msg.put(2009,"未授权当前模块");
        msg.put(2010,"验证码错误");
    }

    public static String getMsg(int code) {
        if(msg.containsKey(code))
            return msg.get(code);
        else
            return "未定义的错误";
    }
}
